package cn.com.tenlion.institutionmanagement.controller.route.institution;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;

import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.ModelAndView;

import java.util.Arrays;
import java.util.List;
import java.util.Map;

/**
 * @ClassName: InstitutionController
 * @Description: 机构管理
 * @Author: CodeFactory
 * @Date: 2021-04-28 17:58:49
 * @Version: 3.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "机构管理路由")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/institution")
public class InstitutionRouteController extends DefaultBaseController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("institution/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("institution/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("institution/list");
    }

    @GetMapping("baidumap")
    public ModelAndView baiDuMap(){return new ModelAndView("baidumap/map-baidu.html");}


}